Bug 241115 - astro/garmindev: fix build on powerpc and arm
Summary: astro/garmindev: fix build on powerpc and arm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-07 14:22 UTC by Piotr Kubaj
Modified: 2019-10-21 10:07 UTC (History)
0 users

See Also:


Attachments
patch (3.06 KB, patch)
2019-10-07 14:22 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-07 14:22:18 UTC
Created attachment 208152 [details]
patch

char is unsigned on those architectures.
Comment 1 Bugzilla Automation freebsd_committer 2019-10-07 14:22:18 UTC
Maintainer informed via mail
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2019-10-08 06:43:00 UTC
Approved by mentor (built on ppcports) pending maintainer review.
Comment 3 commit-hook freebsd_committer 2019-10-21 10:07:45 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Oct 21 10:07:29 UTC 2019
New revision: 515097
URL: https://svnweb.freebsd.org/changeset/ports/515097

Log:
  astro/garmindev: fix build on powerpc and arm

  char is unsigned on those architectures.

  PR:		241115
  Approved by:	cmt@burggraben.net (maintainer timeout), linimon (mentor)

Changes:
  head/astro/garmindev/files/
  head/astro/garmindev/files/patch-src_EtrexH_CDevice.cpp
  head/astro/garmindev/files/patch-src_EtrexLegendC_CDevice.cpp
  head/astro/garmindev/files/patch-src_GPSMap60CSx_CDevice.cpp